cancel
Showing results for 
Search instead for 
Did you mean: 

Error when starting BEx

Former Member

Hi,

When I am starting the Business Explorer, I am getting an Error Message: " A critical Program error occured. The Program has to close.Please refer to the trace for further information".

Please reply if you have any info regarding this error.

Accepted Solutions (1)

Accepted Solutions (1)

Former Member
0 Kudos

Hi Syan K.

I had a similar problem and have just discovered that it was because I had somehow removed the 'Bexanalyzer' add-in from Excel.

To check this, open a new worksheet and goto Tools->Add-ins. Check that 'Bexanalyzer' is on the list. If the add-in is not there then add it by browsing to the 'BExAnalyzer.xla' - usually under c:/program files/SAP/FrontEnd/Bw/.

The Add-in doesn't have to be ticked, but if it is then Bex Analyzer will start every time you open Excel.

This worked for me - hihy,

Andrew

Former Member
0 Kudos

Hi Andrew,

Which file in C:\Program Files\SAP\FrontEnd\Bw do we need to install?

Im not getting the Bex in the Tools-Addins..

Rgds

Syam

Former Member
0 Kudos

you need to select "sapbex" in order to view it in excel add-in.

Former Member
0 Kudos

Syam.

You might be having both the Business Explorer Newest Version and the 3.x version installed , please check during the run time which needs to be called to run the report.

http://www.imagesharing.net/images/LuisLuis/bexanalyzer.jpg

cheers!

Former Member
0 Kudos

Hi,

I do not have 'sapbex' in C:\Program Files\SAP\FrontEnd\Bw folder.

rgds

syam

Former Member
0 Kudos

please install <b>ALL</b> the components in SAP GUI once again. Once its installed you will get an .exe called sapbex .

Using Excel add-in browse it and apply it.

cheers!

Former Member
0 Kudos

Syam,

You have to apply the patches to your current version I believe.

First install Dot Net Framework and then install all the SAP Front End GUI components. Then you check. Hope it works now.

Assign points if helpful.

Thanks,

Sasi

Answers (7)

Answers (7)

Former Member
0 Kudos

Dear syam,

This should be flaw with SAP GUI installation.

I request you to uninstall and Install SAPGUI 7.10 (patch 3)

http://service.sap.com/swdc -> Download -> Support Packages and

Patches-> Entry by Application Group -> SAP Frontend Components

-> SAP GUI for Windows->SAP GUI 7.10 Core->Win32-> FEP3

Ensure Excel 2003 or Excel 2007 is installed (Note: 1013201)

Install .NET Framework 2.0 hotfixes and patches (Note: 1013139)

- KB917283- KB922770

Install .NET Framework 3.0 (Note: 1013139)

To make sure please go through the below note which gives you the

Prerequisites and requirement.

1013139 Pre-requisite for BI 7.x Frontend

1013201 Hardware and Software requirement for BI Standalone frontend

1013140 BI Frontend / BW Add-on - General Information & Limitations

535308 How to apply a SAP Front End patch?

Please go through the note given below.

1025122 - BEx Analyzer and compilation CD 1 of SAP GUI 7.10.

459978 - BEx Analyzer: "Please install appropriate Excel version.

I recommend you to apply the follwoing Note:

160995 BEx Analyzer: Excel Add-ins interfere at the start

1058995 BW 70 BEx: RRMX does not start MS Excel correctly

This should help you.

With Regards,

Suman Raju

*****************If usefull allot some points******************

Former Member
0 Kudos

It is patch level 3 for gui 710 and office 2003 sp2 . Thanks!

Former Member
0 Kudos

To make it compatible patch level 3 is fine

GUI 6.5 will be the accurate! it might be conflicting with the latest version.

either u need to upgrade the patch level or degrade the gui to 6.5

Former Member
0 Kudos

I meet the same problem. Please tell me how to do.Many thanks!

Former Member
0 Kudos

Please specify the BEx version.

Make sure when your loading BEx its not appearing in two places, also check whether you have installed all the components in SAP GUI.

Reward points if helpful.

Thanks!

Former Member
0 Kudos

how did u fix this error?

Former Member
0 Kudos

Hi Syam,

Check your UI patch level and Install latest one. This is available on service market place.

regards,

A Pothumudi

Former Member
0 Kudos

are you specifying the gui patch 3 for 7.10?

Former Member
0 Kudos

Hi,

If it is 3 for 7.10 go with that.

rgrds,

A Pothumudi

Former Member
0 Kudos

when ur selecting the query / workbook directly goto edit mode then try to see what has gone wrong in the query first.

Former Member
0 Kudos

Hai,

Your GUI should be 6.4 or higher version and respectively ur BEx add on

Dot net framework should be 1.1 or higher version

check these then if ur prob not solved be specific vth ur error msg......

Regards

Madhavi

Former Member
0 Kudos

Hi,

Bex version is : 3.X

Gui version is : 7.0

We have installed .NET framework 1.1 as well as 2.0.

The problem still persists .. with error message as below:

"A critical program error has occured.Program has to close. Please refer to trace for further information."

Regards

Syam

Former Member
0 Kudos

what is ur BEx version?